function DvLPlotCreator(mpffiles, mpffilesnopr, n, OutPutFold, lchain, namemodel, z3);
%------------------------------------------
% Creates plots 
%------------------------------------------
lelem=lchain/1001;
zstart=z3;
depth=-200;
zcoor=[zstart, -lchain+(lelem*250), -lchain+(lelem*500), -lchain+(lelem*750),...
    -lchain+(lelem*1001)]; 

time=zeros(n(1)-9,1);
results=zeros(n(1)-9,5);
zresults=zeros(n(2)-9, 5);
    
fileplot=fopen(sprintf('%s', mpffiles{1}), 'rt');
zfileplot=fopen(sprintf('%s', mpffiles{2}), 'rt');
C=textscan(fileplot, '%s', 'delimiter', '\n');
ZC=textscan(zfileplot, '%s', 'delimiter', '\n');

for i=9:n(1);
    B = strsplit(C{1}{i},'\s*', 'DelimiterType','RegularExpression');
    ZB=strsplit(ZC{1}{i},'\s*', 'DelimiterType','RegularExpression');
    if i==9;      
        time(i-8,1)=str2num(strjoin(B(2)));
        results(i-8,1)=str2num(strjoin(B(3))); 
        results(i-8,2)=str2num(strjoin(B(3+249))); 
        results(i-8,3)=str2num(strjoin(B(3+499))); 
        results(i-8,4)=str2num(strjoin(B(3+749))); 
        results(i-8,5)=str2num(strjoin(B(3+999))); 
        zresults(i-8,1)=zcoor(1)+str2num(strjoin(ZB(3))); 
        zresults(i-8,2)=zcoor(2)+str2num(strjoin(ZB(3+249))); 
        zresults(i-8,3)=zcoor(3)+str2num(strjoin(ZB(3+499))); 
        zresults(i-8,4)=zcoor(4)+str2num(strjoin(ZB(3+749))); 
        zresults(i-8,5)=zcoor(5)+str2num(strjoin(ZB(3+999)));
    else
        time(i-8,1)=str2num(strjoin(B(1)));
        results(i-8,1)=str2num(strjoin(B(2)));
        results(i-8,2)=str2num(strjoin(B(2+250))); 
        results(i-8,3)=str2num(strjoin(B(2+500))); 
        results(i-8,4)=str2num(strjoin(B(2+750))); 
        results(i-8,5)=str2num(strjoin(B(2+999)));
        zresults(i-8,1)=zcoor(1)+str2num(strjoin(ZB(2)));
        zresults(i-8,2)=zcoor(2)+str2num(strjoin(ZB(2+250))); 
        zresults(i-8,3)=zcoor(3)+str2num(strjoin(ZB(2+500))); 
        zresults(i-8,4)=zcoor(4)+str2num(strjoin(ZB(2+750))); 
        zresults(i-8,5)=zcoor(5)+str2num(strjoin(ZB(2+999)));
    end
end
    
nselec=round(n(1)/4)-9;
ylength=-300; 

resultplot=plot(results(10,:), zresults(10,:),...
    results(nselec*2,:), zresults(nselec*2,:), results(nselec*3,:), zresults(nselec*3,:),...
    results(nselec*4,:), zresults(nselec*4,:), [ylength, 0], [ depth depth])
    
legend(sprintf('Time %2.2f', time(10)),...
    sprintf('Time %2.2f', time(nselec*2)), sprintf('Time %2.2f', time(nselec*3)),...
    sprintf('Time %2.2f', time(nselec*4)), 'Location', 'southwest');

title(sprintf('%s', namemodel));
xlabel('Displacement [m]');
ylabel('Depth [m]');


print(gcf, '-dpng', sprintf('%s', namemodel));
prix='.png';
priname=[namemodel,prix];
movefile(priname, OutPutFold);

fclose(fileplot);
fclose(zfileplot);
end

