function [CL1, CL2, CL3, CL4, CL5, CL6, CL7, CL8, CL9, CL10, CL11, RadC]=CoorCableLines(CabMSub,...
       ChMass, ChaDiam, CableMat, CM);
%Origo coordinates
x0=100;
%------------------------------------------------------------------%
% Writes the lines containing coordinates, element properties and
% material properties
%------------------------------------------------------------------%

ChaRad=(ChaDiam/2)*4;			%Total chain radius is equal to 4 times chain diameter from Sotra [mm]
RadC=(ChaRad/1000);				%Chain radius [m]
MD=ChMass*10^-6;				%Dry mass in [Mkg]
MS=CabMSub*10^-6;				%Submerged mass in [Mkg]

CL1=sprintf('NOCOOR coordinates 50001 %.3f %.3f %.3f \n', x0, CM(1,1), CM(1,2));
CL2=sprintf('                   %.f %.3f %.3f %.3f %.3f \n' , CM(1,3), x0, CM(2,1), CM(2,2));
CL3=sprintf('                   %.f %.3f %.3f %.3f \n', CM(2,3), x0, CM(3,1), CM(3, 2));
CL4=sprintf('                   %.f %.3f %.3f %.3f \n', CM(3,3), x0, CM(4,1), CM(4,2));
CL5=sprintf('#                   %.f %.3f %.3f %.3f \n', CM(4,3), x0, CM(5,1), CM(5,2));
CL6=sprintf('#                   50151 0 0 0 \n');
CL7=sprintf('#                   50201 0 0 0 \n');

CL9=sprintf('ELPROP cable2 pipe %.3f 0.01 2.6 1.4 2.0 0.2 %.8f %.8f %.3f %.3f 0.5 150 150\n', RadC, MD, MS, RadC*2, RadC*2);
CL10=sprintf('ELPROP cable1 pipe %.3f 0.01 2.6 1.4 2.0 0.2 %.8f %.8f %.3f %.3f 0.5 150 150\n', RadC, MD, MS, RadC*2, RadC*2);

CL8=sprintf('MATERIAL cabmat2 linear 0.3 1.17e-5 50 800 0 %f %f %f %f %.1f %.1f\n', CableMat(1,1),...
    CableMat(1,2),CableMat(1,2),CableMat(1,4), CableMat(1,3), CableMat(1,5));
CL11=sprintf('MATERIAL cabmat1 linear 0.3 1.17e-5 50 800 0 %f %f %f %f %.1f %.1f\n', CableMat(1,1),...
    CableMat(1,2),CableMat(1,2), CableMat(1,4), CableMat(1,3), CableMat(1,5));  
end
 
