%---------------------------------------------------------------------------
%   INPUT VALUES
% Need to specify: Depth, span height and chosen length of chain in this script.
% Specific anchor mass, pipe diameter, attack angle and vessel velocity are
% defined in excel. If only specific variables are required, simply write
% them in. 
%---------------------------------------------------------------------------
%   IMPORTANT ASSUMPTIONS
% Certain assumptions have been made regarding the content of the subsea
% pipe, and the geometry of it. It is assumed that the thickness of the
% steel wall is D/35, and that the pipe is filled with a fluid of density
% 800 kg/m^3. The pipe is also coated with a two layers. To alter this 
% information, please see top of script RunSIMLAMainFile.m 
%---------------------------------------------------------------------------
%Input values are: 
d=0;                    %Span height
dpth=200;               %Positive value 
llchain=0; 				%=0 if using total length

%This must be updated to current location of input excel file 
filenameA = 'C:\Analysis\InputAnalysis.xlsx';
fileA = xlsread(filenameA);

iline=0;
for i=1:8;
    iline=i;
    a=fileA(i,1);                   %Anchor Mass
    binp=fileA(i,2);                %Pipe diameter
    e=fileA(i,3);                   %Vessel velocity
    c=fileA(i,4);                   %Attack angle
    [filename, myfolder2]=RunSIMLAMainFile(a, binp, c, d, e, dpth, llchain);
end 