function [PL1, PL2, PL3, PL4, BCRPL1, BCRPL2, BCRPL3, BCRPL4, ROL1, ROL2, ROL3,...
    ROL4]=PipeLine(Rout, Dout, Th, Tout, PMDry, PMSub, dpth, PipeMat, Em, G); 

%------------------------------------------------------------------%
%      Writes the lines for the pipeline
%------------------------------------------------------------------%
	
MD=PMDry*10^-6;
MS=PMSub*10^-6; 
Es=Em*10^-6;
Gs=G*10^-6;

PL1=sprintf('ELPROP pipe1 pipe %f  %f   0.8  0.0  2.0  0.0  %f %f %f %f %f \n', Rout, Tout, MD, MS, Dout, Dout, Dout);
PL2=sprintf('MATERIAL pipemat1 linear 0.3 1.17e-5 50 800 0 %f %f %f %f %f %f\n', PipeMat(1,1),...
    PipeMat(1,2),PipeMat(1,2), PipeMat(1,3), Es, Gs);

zcoorp=dpth-(Rout+0.02); %This is not necessary
PL3=sprintf('NOCOOR  COORDINATES  10100   95.0     -100.0     -%f\n', zcoorp);     
PL4=sprintf('                     10101   105.0   -100.0     -%f\n', zcoorp);

%-------------------------------%
% BONCON ROTATION 
%-------------------------------%
BCRPL1=sprintf('#BONCON GLOBAL 10100 6\n')
BCRPL2=sprintf('#BONCON GLOBAL 10101 1\n')
BCRPL3=sprintf('#BONCON GLOBAL 10101 2\n')
BCRPL4=sprintf('#BONCON GLOBAL 10101 6\n')

%-------------------------------%
% ROLLER ROTATION 
%-------------------------------%
ROL1=sprintf('ELPROP roller11 roller %f\n', Dout);
ROL2=sprintf('ELPROP roller21 roller %f\n', Dout);
ROL3=sprintf('ELPROP roller31 roller %f\n', Dout);
ROL4=sprintf('ELPROP roller41 roller %f\n', Dout);
end
