function [ROTS, DYNS, SLDS, SLDCN1, SLDCN2, SLDFR1, SLDBC1, SLDBC2, SLDBC3,...
    DYNB1, DYNB2, DYN1, DYN2, DYN3, STATROT, DYN15, DYN4]=writeDynL(e);

%------------------------------------------------------------------%
%      Writes all lines related to dynamic analysis 
%------------------------------------------------------------------%
	
ROTS=sprintf('CONTROL   100    3     2     8     1    1e-6   9.81     restart 10\n');
DYNS=sprintf('CONTROL   100    3     2     8     1    1e-6   9.81     restart 12\n');

if e==10;
    SLDS=sprintf('CONTROL   100    3     2     8     1    1e-6   9.81     restart 7102\n'); 
elseif e==2;
    SLDS=sprintf('CONTROL   100    3     2     8     1    1e-6   9.81     restart 7102\n');
else
    disp('Error, velocity needs to be 2 or 10 knots')
end

SLDCN1=sprintf('CONSTR CONEQ global 40011 1 0.0 40022 1 1.0\n');
SLDCN2=sprintf('CONSTR CONEQ global 50001 1 0.0 40032 1 1.0\n');
SLDFR1=sprintf('MATERIAL soil1    R_contact     0.3   0.30   1.0  soilx  soily   soilz  soilrx 1.0 soily2 coulomb-userdefined\n')
SLDBC1=sprintf('#BONCON GLOBAL 40001 1 repeat 32 1 \n');
SLDBC2=sprintf('#BONCON GLOBAL 50001 1 repeat 231 1\n');
SLDBC3=sprintf('BONCON GLOBAL 51001 1\n');

DYNB1=sprintf('#BONCON GLOBAL 40001 2\n');
DYNB2=sprintf('#BONCON GLOBAL 40021 2\n');

DYN1=sprintf('TIMECO    16.0  0.001  0.1  1.0    201.0  dynamic     NOHLA auto        none    disp    25      10     1e-5\n');

if e==2;
    DYN15=sprintf('TIMECO   60.0  0.01 1.0 1.0    201.0  dynamic     NOHLA auto        none    disp    25      10     1e-5\n');
    DYN2=sprintf('TIMECO    62.0  0.01  0.1  1.0    201.0  dynamic     NOHLA auto        none    disp    25      10    1e-5\n');
else
    DYN15=sprintf('TIMECO   55.0  0.01 1.0 1.0    201.0  dynamic     NOHLA auto        none    disp    25      10     1e-5\n');
    DYN2=sprintf('TIMECO    57.0  0.01  0.1  1.0    201.0  dynamic     NOHLA auto        none    disp    25      10    1e-5\n');
end

DYN3=sprintf('TIMECO    75.0  0.01  0.1  1.0    201.0  dynamic     NOHLA auto        none    disp    25      10     1e-5\n');


DYN4=sprintf('TIMECO    80.0  0.01  0.1  1.0    201.0  dynamic     NOHLA auto        none    disp    25      10     1e-5\n');

STATROT=sprintf('TIMECO    12.0  1.0   1.0  1.0    201.0  static     NOHLA auto      none    all    300      5     1.e-5\n'); 
end